Subject: Re: bug#19829: 25.0.50; query-replace in rectangle regions do not honor boundaries

From: Juri Linkov <[email-masked]>
Date: Wed, 11 Feb 2015 01:40:53 +0200

> When selecting a region with C-x SPC, then M-% will suggest
> replacement in the non-rectangular region.  I expected the
> replacements to be suggested within the rectangular region.

It would be very easy to support the rectangular region replacements
the same way as such replacements are already supported in WDired
where replacements are restricted to the vertical column of filenames.

But the problem is that I don't see how the information about
column positions of the selected rectangular region would be
supplied to query-replace by region-beginning and region-end.